
%define module1_name cups-pantum
%define module1_version 1.1.106
%define module2_name libsane-pantum
%define module2_version 1.1.106
%define module3_name cups-pantum-ipp
%define module3_version 1.1.106

%define module_builddir $RPM_BUILD_DIR/%{module3_name}-%{version}-%{release}


Name: %{module3_name}
Version: %{module3_version}
Release: 1%{?dist}
Summary: ippfilter / ipp-usb support which may or may not be needed by the cups-pantum drivers
#Group: Application/Printing
License: commercial
URL: https://global.pantum.com/support/download/driver/
Source0: pantum_1.1.106-1_amd64.deb
# 2023-10-30 for P2502W: https://global.pantum.com/download/getFileLink?menuId=1517378576861671426&dataId=1549571939642736641

AutoReq: no
Requires: cups, systemd-udev, libjpeg-turbo, ipp-usb
# XXX the following is a list of autoreq-dependencies, minus the bad apple libjpeg.so.8, while doesnt exist in fedora, but is being provided for by libjpeg-turbo.so.*
Requires: /bin/sh, /bin/sh, cups, libc.so.6()(64bit), libc.so.6(GLIBC_2.11)(64bit), libc.so.6(GLIBC_2.14)(64bit), libc.so.6(GLIBC_2.2.5)(64bit), libc.so.6(GLIBC_2.3.4)(64bit), libc.so.6(GLIBC_2.4)(64bit), libc.so.6(GLIBC_2.7)(64bit), libgcc_s.so.1()(64bit), libgcc_s.so.1(GCC_3.0)(64bit), libm.so.6()(64bit), libm.so.6(GLIBC_2.2.5)(64bit), libstdc++.so.6()(64bit), libstdc++.so.6(CXXABI_1.3)(64bit), libstdc++.so.6(CXXABI_1.3.1)(64bit), libstdc++.so.6(GLIBCXX_3.4)(64bit), libstdc++.so.6(GLIBCXX_3.4.11)(64bit), libstdc++.so.6(GLIBCXX_3.4.15)(64bit), libstdc++.so.6(GLIBCXX_3.4.20)(64bit), libstdc++.so.6(GLIBCXX_3.4.21)(64bit), libstdc++.so.6(GLIBCXX_3.4.9)(64bit), libz.so.1()(64bit), rpmlib(CompressedFileNames) <= 3.0.4-1, rpmlib(FileDigests) <= 4.6.0-1, rpmlib(PayloadFilesHavePrefix) <= 4.0-1, rpmlib(PayloadIsZstd) <= 5.4.18-1, rtld(GNU_HASH)


BuildArch: x86_64
BuildRequires: alien

%description
This package provides the ippfilter daemon / ipp-usb support (which may be needed by the cups-pantum drivers)



%prep
rm -rf %{module_builddir} ||:
mkdir -p %{module_builddir}/%{module1_name}-%{version}
cd %{module_builddir}/%{module1_name}-%{version}
alien -g %{SOURCE0}
mv %{module_builddir}/%{module1_name}-%{module1_version}/pantum-%{module1_version}/{etc,opt,usr}/ %{module_builddir}/
#rm -rf %{module_builddir}/%{module1_name}-%{module1_version}/pantum-%{module1_version}/
#rm -rf %{module_builddir}/%{module1_name}-%{module1_version}/pantum-%{module1_version}.orig/
rm -rf %{module_builddir}/%{module1_name}-%{module1_version}/


%install
# module 3
# XXX ipp-usb is provided by fedora package ipp-usb (hopefully.. seems close enough as a udev drop in replacement), so we leave it out of the rpm.
#mkdir -p $RPM_BUILD_ROOT/etc/systemd/system/
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d/
mkdir -p $RPM_BUILD_ROOT/usr/bin
#mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{module3_name}/
mkdir -p $RPM_BUILD_ROOT/usr/share/licenses/%{module3_name}/
#install %{module_builddir}/opt/pantum/ippfilter/*.service $RPM_BUILD_ROOT/etc/systemd/system
install %{module_builddir}/opt/pantum/ippfilter/*ipp*.rules $RPM_BUILD_ROOT/etc/udev/rules.d/
install %{module_builddir}/opt/pantum/bin/ptqpdf $RPM_BUILD_ROOT/usr/bin/
#install %{module_builddir}/opt/pantum/ippfilter/ipp-usb $RPM_BUILD_ROOT/usr/sbin/
install %{module_builddir}/usr/share/doc/pantum/* $RPM_BUILD_ROOT/usr/share/doc/%{module3_name}/
install %{module_builddir}/usr/share/doc/pantum/copyright $RPM_BUILD_ROOT/usr/share/licenses/%{module3_name}/LICENSE





%pre
# XXX the things we do for lo... i mean, hardware manufacturers that give out driver binaries instead of the source to allow us recompiling with libjpeg-turbo instead of the used libjpeg.so.8 from the stoneages.
if [ ! -e "/usr/lib64/libjpeg.so.8" ] && [ -e "/usr/lib64/libjpeg.so.62" ]; then
  ln -sf libjpeg.so.62 /usr/lib64/libjpeg.so.8 ||:
fi

## prevent systemd from NOT handling the .service after ie. an upgrade.
#SVCNAME="pt-ipp-usb"
#SVCBIN="/usr/sbin/ipp-usb"
#if [ -e "/etc/systemd/system/$SVCNAME.service" ]; then
#    service $SVCNAME status >/dev/null 2>&1 && RC=0
#    if [ "x$RC" == "x0" ]; then
#        service $SVCNAME stop >/dev/null 2>&1 ||:
#        sleep 2
#        pkill -9 $SVCBIN ||:
#        sleep 1
#        service $SVCNAME stop >/dev/null 2>&1 ||:
#    fi
#fi

#% preun
#SVCNAME="pt-ipp-usb"
#if [ -e "/lib/systemd/system/$SVCNAME.service" ]; then
#    service $SVCNAME stop >/dev/null 2>&1 && RC=0
#fi

%post
#SVCNAME="pt-ipp-usb"
# udev
udevadm control --reload-rules ||:
udevadm trigger ||:
# systemd
/sbin/ldconfig ||:
#systemctl daemon-reload ||:
#service $SVCNAME restart >/dev/null 2>&1 ||:
#/bin/systemd-tmpfiles --create ||:
#if [ -e "/lib/systemd/system/$SVCNAME.service" ]; then
#    service $SVCNAME start >/dev/null 2>&1 && RC=0
#fi

%postun
/sbin/ldconfig ||:
#systemctl daemon-reload ||:
/bin/systemd-tmpfiles --create ||:

 


%files
%doc /usr/share/doc/%{module3_name}/copyright
%doc /usr/share/doc/%{module3_name}/changelog.gz
/etc/udev/rules.d/55-ippusbxd.rules
/etc/udev/rules.d/71-ipp-usb.rules
#/etc/systemd/system/pt-ipp-usb.service
/usr/bin/ptqpdf
#/usr/sbin/ipp-usb
%license /usr/share/licenses/%{module3_name}/LICENSE


%changelog
* Mon Oct 30 2023 Frederic Krueger <fkrueger-dev-cupspantum@holics.at> 1.1.106-1
- Initial spec file created based on the deb package by Pantum themselves

